It's all about the answers!

Ask a question

dojo.require problem


os waldl (4675) | asked Oct 21 '09, 11:10 p.m.
i am working on some ui example, some dojo.require(**) are a little bit old, any replacement for them or can you tell me where can i find those updates?
many thanks!

dojo.require("dojo.widget.*");
dojo.require("dojo.uri.*");
dojo.require("com.ibm.team.repository.web.toolbox.lang.internal.*");
dojo.require("dojo.lang.*");
dojo.require("dojo.json");
dojo.require("com.ibm.team.repository.web.client.layout.LeftNavigationLayout")

2 answers



permanent link
os waldl (4675) | answered Oct 22 '09, 10:31 p.m.
i got what i want now.
it seems that there's been some changes through out the web ui program,
and this link http://jazz.net/wiki/bin/view/Main/JazzAjaxTransportDesign talks about the old style of web ui program.
Moreover i found some new resources from here https://jazz.net/wiki/bin/view/WebUIBook/WebHome .

permanent link
os waldl (4675) | answered Oct 22 '09, 4:17 a.m.
actually i am trying to run the following example
http://jazz.net/library/LearnItem.jsp?href=content/docs/web-ui-programming/web-ui-todo-client.html
the error comes in javacript at codes like "dojo.require("dojo.widget.*"); "
by the way, do i have to use jazz page extensions for my web ui works, since i am not familiar with the way to describe a widget using dojo.widget.defineWidget ?

Your answer


Register or to post your answer.